"use strict";
/* A skyshrine wall sconce- bright crystal in a silver dish */
var Deco_Skylamp = function(working){
	//var decoImg = SDS_Load_Image("art/sheets/decoration/skylamp.png");
	//var decoSheet = new TileSheet(4, 5, 1, 0, decoImg);
	//var deco = new Decoration(decoSheet,"Skylamp");
	//deco.frame = 0;

	//deco.animate = function(){
	//	deco.frame = deco.frame^1;
	//}

	//return deco;
	
	this.frame=0;
	this.working = working ? 0 : 2;
};

Deco_Skylamp.prototype = new Decoration(
	new TileSheet(
		4, 4, 1, 1, 
		SDS_Load_Image("art/sheets/decoration/skylamp.png")
	),
	"Skylamp");

Deco_Skylamp.prototype.animate = function(){
		this.frame = this.working | (this.frame&1)^1;
	}